package dev.fitko.fitconnect.api.domain.sender.steps.encrypted;

import dev.fitko.fitconnect.api.domain.model.submission.ServiceType;

public interface EncryptedServiceTypeStep {

    /**
     * Sets a {@link ServiceType} for a submission
     *
     * @param leikaKey unique identifier of the service in the form <b>urn:de:fim:leika:leistung:</b>
     * @param name     a name of the service
     * @return next step to add encrypted metadata
     * @see <a href="https://fimportal.de/">Search For Service Types</a>
     */
    EncryptedMetadataStep setServiceType(String leikaKey, String name);
}
